import Foundation
import App

abbrev = 'sfrd_ent_D'				
iconName = 'sfrd_ent_D'					
longName = 'U.S.S. Enterprise-D SFRD'					
shipFile = 'sfrd_ent_D'				
menuGroup = "SFRD Ships"
playerMenuGroup = "SFRD Ships"	
species = App.SPECIES_MARAUDER			
SubMenu = "Enterprise-D SFRD"
SubSubMenu = "U.S.S. Enterprise-D SFRD"

Foundation.ShipDef.sfrd_ent_D = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu, 'SubSubMenu': SubSubMenu })
Foundation.ShipDef.sfrd_ent_D.dTechs = { 'Fed Ablative Armor': {
	"Plates": ["Forward Ablative Armor", "Aft Ablative Armor", "Dorsal Ablative Armor", "Ventral Ablative Armor"]
}}
Foundation.ShipDef.sfrd_ent_D.desc = "The fifth starship to bear the name Enterprise. Commanded by Capt Jean-luc Picard, with Cmdr Will Riker as EX. After 7 Years of service the Enterprise-D Stardrive was lost in orbit around Veridian III, whilst the saucer section crashed to the surface beyond repair."
Foundation.ShipDef.sfrd_ent_D.sBridge = 'galaxybridge'
Foundation.ShipDef.sfrd_ent_D.fMaxWarp = 9.6
Foundation.ShipDef.sfrd_ent_D.fWarpEntryDelayTime = 3.5

if menuGroup:           Foundation.ShipDef.sfrd_ent_D.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.sfrd_ent_D.RegisterQBPlayerShipMenu(playerMenuGroup)
